Subject: Re: [PATCH v2 00/36] Combine t/helper binaries into a single one

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Sat, 24 Mar 2018 13:50:59 +0100

On Sat, Mar 24 2018, Nguyễn Thái Ngọc Duy wrote:

> v2 fixes a couple of typos in commit messages and use the cmd__ prefix
> for test commands instead of test_, which avoids a naming conflict
> with the existing function test_lazy_init_name_hash
>
> [the previous v2 send out was aborted because I messed it up with some
> other patches]

This whole thing looks good to me, and I've applied it to my own build
and run several modes (normal, split index etc.) of the test suite with
it. Didn't get any problems.

Micronit: If you M-x sort-lines (and I assume similar in other editors
that have a function to sort stuff in ASCII order) the test-tool.c list
you get this diff on top:

    diff --git a/t/helper/test-tool.c b/t/helper/test-tool.c
    index cd5e28b045..c38939b93e 100644
    --- a/t/helper/test-tool.c
    +++ b/t/helper/test-tool.c
    @@ -32,8 +32,8 @@ static struct test_cmd cmds[] = {
            { "revision-walking", cmd__revision_walking },
            { "run-command", cmd__run_command },
            { "scrap-cache-tree", cmd__scrap_cache_tree },
    -       { "sha1-array", cmd__sha1_array },
            { "sha1", cmd__sha1 },
    +       { "sha1-array", cmd__sha1_array },
            { "sigchain", cmd__sigchain },
            { "strcmp-offset", cmd__strcmp_offset },
            { "string-list", cmd__string_list },

I think it makes sense to keep such lists in ASCII order (" before -)
for subsequent edits where one or more things are added to the list and
then sorted before submission.